body,
html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: Arial, sans-serif;
}

.background {
    background-image: url('../image/bg.jpg');
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

h1 {
    font-size: 3em;
    margin-bottom: 20px;
}

.button-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: fixed;
    bottom: 200px;
    left: 50%;
    transform: translateX(-50%);
}

.android-button {
    width: 200px;
    height: 60px;
    background-image: url('../image/android_btn.png');
    background-size: cover;
    background-position: center;
    border: none;
    cursor: pointer;
    text-decoration: none;
}

.ios-button {
    width: 200px;
    height: 60px;
    background-image: url('../image/ios_btn.png');
    background-size: cover;
    background-position: center;
    border: none;
    cursor: pointer;
    text-decoration: none;
}

/* 直接进入游戏按钮样式 */
.game-button {
    width: 200px;
    height: 60px;
    background-image: url('../image/game.png');
    background-size: cover;
    background-position: center;
    border: none;
    cursor: pointer;
    text-decoration: none;
    display: none; /* 隐藏按钮 */
}
/* 新增按钮样式 */
.wechat-guide-btn {
    position: fixed;
    top: 0px;
    right: 0px;
    width: 80px; /* 可根据图片大小调整 */
    height: 80px; /* 可根据图片大小调整 */
    background-image: url('../image/zhiyin.png');
    background-size: cover;
    background-position: center;
    display: none; /* 隐藏按钮 */
}

.footer-info {
    text-align: center;
    position: fixed;
    bottom: 10px;
    width: 100%;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
.footer-info p {
    margin: 3px 0; /* 调整段落的上下外边距来缩小间距 */
    font-size: 1.5em; /* 放大字体 */
    font-weight: bold; /* 字体加粗 */
    text-shadow: -1px -1px 0 rgb(23, 23, 144),  
                 1px -1px 0 rgb(23, 23, 144),
                -1px  1px 0 rgb(23, 23, 144),
                1px  1px 0 rgb(23, 23, 144);
}